#
# spec file for package wdiff (Version 0.5.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           wdiff
URL:            http://wdiff.progiciels-bpi.ca/
License:        GPL
Group:          Productivity/Text/Utilities
Autoreqprov:    on
Version:        0.5.2
Release:        674.2
Summary:        Display Word Differences Between Text Files
Source:         wdiff-%{version}.tar.bz2
Patch:          wdiff-%{version}.dif
Patch1:         wdiff-%{version}-tempfile.patch
Patch2:         wdiff-%{version}-diff.patch
Patch3:         wdiff-%{version}-nb.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prereq:         %install_info_prereq

%description
wdiff compares two files and finds which words have been deleted or
added to old_file to get new_file. A word is considered to be anything
between whitespace.

Xwdiff is a handy X Window System front-end, based on Tcl/Tk.



Authors:
--------
    Francois Pinard  <pinard@iro.umontreal.ca>
    Hans Lermen  <lermen@fgan.de>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
rename no nb po/no.*

%build
%{suse_update_config -f}
aclocal
automake -a
autoconf
LIBS=-lncurses \
CFLAGS="$RPM_OPT_FLAGS -pipe -DLERMEN_STUFF" \
GETOPT="" \
./configure \
   --prefix=/usr \
   --mandir=%{_mandir} \
   --infodir=%{_infodir}
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make "DESTDIR=$RPM_BUILD_ROOT" install
install -m 755 src/xwdiff $RPM_BUILD_ROOT/usr/bin

%files
%defattr(-,root,root)
%doc BACKLOG ChangeLog NEWS README* THANKS TODO ABOUT-NLS AUTHORS COPYING 
%{_infodir}/wdiff.info*
/usr/bin/*
/usr/share/locale/*/*/*

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog -n wdiff
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 20 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Apr 05 2004 - mjancar@suse.cz
- call diff with --normal (#34458)
* Fri Mar 26 2004 - bk@suse.de
- build wdiff no longer static, saves space and helps bug #36829
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 25 2003 - vbobek@suse.cz
- Use %%install_info macro
* Tue Nov 12 2002 - jderfina@suse.cz
- Removed multi-line strings from wdiff-0.5.2.dif.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jan 23 2002 - okir@suse.de
- fixed temp file race
* Wed May 23 2001 - cihlar@suse.cz
- fixed includes
* Tue Mar 20 2001 - cihlar@suse.cz
- fixed to compile on axp
* Wed Jan 03 2001 - cihlar@suse.cz
- fixed wdiff --help
* Mon Nov 27 2000 - cihlar@suse.cz
- fixed installation of xwdiff
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed copyright
- bzipped sources
- added suse_update_config
* Thu May 18 2000 - cihlar@suse.cz
- upgrade to 0.5.2
* Tue Apr 11 2000 - cihlar@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Tue Jan 25 2000 - ro@suse.de
- move info,man to usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 03 1998 - ro@suse.de
- catch strstr-macro for glibc
* Tue Aug 11 1998 - ke@suse.de
- add Hans Lermen's xwdiff, a Tcl/Tk based frontend.
* Tue Jul 07 1998 - ro@suse.de
- added patches from gnu.utils.bug (mainly don't fclose(NULL))
* Fri Jun 19 1998 - ro@suse.de
- added patches from hans lermen
* Fri Jun 19 1998 - ro@suse.de
- initial package using diff from jurix mirror
